AuthState (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.auth.AuthState class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.auth
Class AuthState

    java.lang.Object
      org.apache.commons.httpclient.auth.AuthState

    public class AuthState

extends Object

This class provides detailed information about the state of the authentication process.

Since:
  3.0
Author:
  Oleg Kalnichevski

Field Summary
`static String` | `PREEMPTIVE_AUTH_SCHEME`

Constructor Summary
`AuthState()` Default constructor.

Method Summary
`AuthScheme` | `getAuthScheme()` Returns the `authentication scheme`.
`String` | `getRealm()` Returns the authentication realm.
`void` | `invalidate()` Invalidates the authentication state by resetting its parameters.
`boolean` | `isAuthAttempted()` Tests whether authenication challenge has been responsed to
`boolean` | `isAuthRequested()` Tests whether authenication challenge has been received
`boolean` | `isPreemptive()` Tests if preemptive authentication is used.
`void` | `setAuthAttempted(boolean challengeResponded)` Sets authentication attempt status
`void` | `setAuthRequested(boolean challengeReceived)` Sets authentication request status
`void` | `setAuthScheme(AuthScheme authScheme)` Assigns the given `authentication scheme`.
`void` | `setPreemptive()` Preemptively assigns Basic authentication scheme.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREEMPTIVE_AUTH_SCHEME

    public static final String PREEMPTIVE_AUTH_SCHEME

See Also:
  Constant Field Values

Constructor Detail

### AuthState

    public AuthState()

  Default constructor.

Method Detail

### invalidate

    public void invalidate()

  Invalidates the authentication state by resetting its parameters.

### isAuthRequested

    public boolean isAuthRequested()

  Tests whether authenication challenge has been received

  Returns:
    `true` if authenication challenge has been received, `false` otherwise

### setAuthRequested

    public void setAuthRequested(boolean challengeReceived)

  Sets authentication request status

  Parameters:
    `challengeReceived` - `true` if authenication has been requested, `false` otherwise

### isAuthAttempted

    public boolean isAuthAttempted()

  Tests whether authenication challenge has been responsed to

  Returns:
    `true` if authenication challenge has been responsed to, `false` otherwise

### setAuthAttempted

    public void setAuthAttempted(boolean challengeResponded)

  Sets authentication attempt status

  Parameters:
    `challengeResponded` - `true` if authenication has been attempted, `false` otherwise

### setPreemptive

    public void setPreemptive()

  Preemptively assigns Basic authentication scheme.

### isPreemptive

    public boolean isPreemptive()

  Tests if preemptive authentication is used.

  Returns:
    `true` if using the default Basic `authentication scheme`, `false` otherwise.

### setAuthScheme

    public void setAuthScheme(AuthScheme authScheme)

  Assigns the given `authentication scheme`.

  Parameters:
    `authScheme` - the `authentication scheme`

### getAuthScheme

    public AuthScheme getAuthScheme()

  Returns the `authentication scheme`.

  Returns:
    `authentication scheme`

### getRealm

    public String getRealm()

  Returns the authentication realm.

  Returns:
    the name of the authentication realm

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.